Trio VMS Client API Docs
Trio Agency APIsTrio Client APIs
Trio Staff APIs
Trio Agency APIsTrio Client APIs
Trio Staff APIs
  1. ShiftSubmissions
  • Home
  • v3
    • AssignmentConfirmations
      • Get information for the specified assignment confirmation version.
    • Candidates
      • Gets a list of candidates
      • Gets candidate's state licenses
    • Clients
      • Get clients.
      • Get clients by external source reference code.
      • Get client locations.
      • Get a specific client location.
      • Get client contacts.
      • Get a specific client contact.
      • Get a client's presentation requirements.
    • Invoice
      • Get a list of invoices.
      • Get an invoice by number
      • Get a list of timecards for the specified invoice.
    • Job
      • Gets a listing of all open jobs.
      • Gets a listing of closed jobs based on the date range.
      • Get information for the specified job.
    • Notifications
      • Gets a list of available notification types
    • Positions
      • Gets a list of assignments with demographics
    • Profession
      • Gets all professions with a list of their specialties.
    • ProviderConfirmation
      • Get a list of provider confirmations related to your account.
      • Get information for the specified provider confirmation.
    • Shifts
      • Gets a list of shifts for the user performing the request
      • Creates a new shift
      • Updates an existing shift
      • Get the reasons that may accompany a shift status change.
      • Gets a list of available shift statuses
      • Gets a specific shift
      • Cancels a shift
      • Attempts to claim the shift for the current user or specified candidate
      • Confirms the assignment of a shift
      • Declines the assignment of a shift
      • Releases a confirmed shift
    • ShiftSubmissions
      • Attempts to submit a shift submission
        POST
      • Attempts to accept a shift submission
        POST
      • Attempts to reject a shift submission
        POST
      • Attempts to withdraw a shift submission
        POST
    • Specialty
      • Gets all specialties.
      • Gets information for the specified specialty.
    • Submission
      • Get a list of all submissions related to your account.
      • Create a new submission.
      • Accepts a submission that was offered.
      • Declines an offered submission.
      • Withdraw a submission.
      • Get a list of reasons for withdrawing a submission.
      • Get information for the specified submission.
      • Update the specified submission.
    • SubmissionDocuments
      • Get the documents attached to a submission.
      • Download a specific submission document.
    • Submissions
      • Get submissions across every segment group.
      • Get a specific submission.
    • StaffingPools
      • Get a collection of candidates with active or inactive clearances to staffing pools
      • Get locations for staffing pools
    • Tenants
      • Get tenant info
    • Timecard
      • Get a list of all Timecards related to your account.
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
      • Get callback statistics for a specific client.
      • Get a list of all valid status reasons.
      • Get the reviews for a specific timecard.
      • Create a review for a specific timecard.
      • Get a review for a specific timecard.
      • Update a review for a specific timecard.
      • Delete a review for a specific timecard.
      • Get a specific timecard.
      • Approve a timecard.
      • Declines the specified timecard.
      • Get a list of all documents associated with a timecard.
      • Get the timesheet document associated with a timecard.
      • Get a specific document associated with a timecard.
      • Verify a timecard.
    • TimecardExpense
      • Get a list of all Timecard Expenses for a Timecard.
    • TimecardLine
      • Get a list of all Timecard Lines for a Timecard.
    • Webhooks
      • Get the list of available events that can be subscribed to via webhook.
  1. ShiftSubmissions

Attempts to submit a shift submission

POST
https://api.triowfs.com/trio/api/v3/shifts/{shiftId}/submissions/submit
Submits the specified shift submission as the provider or as an agency on behalf of the provider. The shift must be open or pending. If pending, the submitting provider must not have an active submission. If an agency is submitting then they must provide a candidateId. If the shift submission is successful the shift details will be returned. Returns 409 Conflict when the shift is not open or pending, the candidate has no qualifying privilege, or a submission already exists for the candidate/shift combination (the Location header then links to the shift's submissions).

Request

Authorization
Add parameter in header
x-api-key
Example:
x-api-key: ********************
Path Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
A successful OK response (HTTP 200) with a typed body.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🟠409Server Error
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.triowfs.com/trio/api/v3/shifts//submissions/submit' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "candidateId": "10f4deb6-fd4e-4907-a47e-355caf6e449d"
}'
Response Response Example
200 - Example 1
{
    "recruiter": {
        "name": "string",
        "company": "string",
        "email": "user@example.com",
        "phoneNumber": "string"
    },
    "notes": "string",
    "id": "string",
    "number": 0,
    "address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "state": "string",
        "zip": "string"
    },
    "schedule": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "scheduleClient": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "facility": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "unit": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "profession": "string",
    "specialty": "string",
    "start": "string",
    "end": "string",
    "periodOfWork": "string",
    "duration": 0,
    "status": {
        "id": 0,
        "name": "string"
    },
    "rateType": "string",
    "rate": {
        "rateType": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string"
        },
        "isOnCall": true,
        "billRate": 0
    },
    "availableActions": [
        {
            "name": "string",
            "link": "http://example.com",
            "precedence": 0
        }
    ],
    "shiftDetailUrl": "string",
    "candidate": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "segment": {
        "id": 0,
        "name": "string"
    },
    "shiftType": {
        "id": 0,
        "name": "string"
    }
}
Modified at 2026-09-17 22:39:27
Previous
Releases a confirmed shift
Next
Attempts to accept a shift submission
Built with